--- etherwake-1.09.orig/ether-wake.c	2005-07-10 20:44:25.000000000 +0200
+++ etherwake-1.09.orig.no_ether_hostton/ether-wake.c	2007-04-29 19:03:41.000000000 +0200
@@ -15,7 +15,11 @@
 "	an optional password appended.\n"
 "\n"
 "	The single required parameter is the Ethernet MAC (station) address\n"
+#if !defined(__UCLIBC__)
 "	of the machine to wake or a host ID with known NSS 'ethers' entry.\n"
+#else
+"	of the machine to wake.\n"
+#endif
 "	The MAC address may be found with the 'arp' program while the target\n"
 "	machine is awake.\n"
 "\n"
@@ -289,16 +293,22 @@
 		if (debug)
 			fprintf(stderr, "The target station address is %s.\n",
 					ether_ntoa(eaddr));
+#if !defined(__UCLIBC__)
 	} else if (ether_hostton(hostid, eaddr) == 0) {
 		if (debug)
 			fprintf(stderr, "Station address for hostname %s is %s.\n",
 					hostid, ether_ntoa(eaddr));
+#endif
 	} else {
 		(void)fprintf(stderr,
 					  "ether-wake: The Magic Packet host address must be "
 					  "specified as\n"
+#if !defined(__UCLIBC__)
 					  "  - a station address, 00:11:22:33:44:55, or\n"
 					  "  - a hostname with a known 'ethers' entry.\n");
+#else
+					  "  - a station address, 00:11:22:33:44:55\n");
+#endif
 		return -1;
 	}
 	return 0;
